Core - Task # 56708

Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes

Epic # 55064 (Accepted): WP: Workspaces test cases / DataHandler bugfixes

Status: Resolved Priority: Should have
Author: Oliver Hader Category: Unit/Functional Tests
Created: 2014-03-10 Assigned To: Oliver Hader
Updated: 2014-03-12 Due date:

TYPO3 Version: 6.2

PHP Version: 5.3

Complexity:

Sprint Focus:

Subject: Add Publish and PublishAll DataHandler workspaces tests

Description

Change the current functional action tests to execute those actions:

- modification (Modify)
- publish single records (Publish)
- publish all records in a workspace (PublishAll)

The Publish and PublishAll tasks extend the basic Modify test suite.

Subtasks:
Task # 56710: Add sys_refindex table to functional action tests

Resolved

Associated revisions

Revision 0bf260e1 - 2014-03-11 23:52 - Oliver Hader

[TASK] Add Publish and PublishAll DataHandler workspaces tests
Extend current functional action tests with those actions:

- modification (Modify)

- publish single records (Publish)

- publish all records in a workspace (PublishAll)

The Publish and PublishAll tasks extend the accordant basic

Modify functional tests.

Resolves: #56708

Related: #56710

Releases: 6.2

Change-Id: 11f7a70df39585c29b3b4ff5675b5147610f2542
Reviewed-on: https://review.typo3.org/28236

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2014-03-10 20:16 - Gerrit Code Review
- Status changed from New to Under Review
- Estimated time set to 0.00

2015-08-04
https://review.typo3.org/28236

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28236

#2 - 2014-03-11 20:49 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28236

#3 - 2014-03-11 22:59 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28236

#4 - 2014-03-12 00:30 - Oliver Hader
- Status changed from Under Review to Resolved

- Estimated time set to 0.00

Applied in changeset commit:0bf260e14272846744ee6f38160003480c1af3f5.
